package com.yonge.cooleshow.biz.dal.dto.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yonge.cooleshow.biz.dal.enums.GenderEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022/3/18 14:56
 */
@ApiModel(value = "TeacherApplyDetailReq对象", description = "老师入驻申请信息")
public class TeacherApplyDetailReq implements Serializable {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户真实姓名")
    private String realName;

    @ApiModelProperty(value = "用户身份证号")
    private String idCardNo;

    @ApiModelProperty(value = "性别（0，女  1，男）")
    private GenderEnum gender;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthdate;

    @NotBlank(message = "专业技能不能为空")
    @ApiModelProperty(value = "专业技能（支持多个，用逗号分隔），对应乐器表id ", required = true)
    private String subjectId;

    @ApiModelProperty(value = "个人介绍 ")
    private String introduction;

    @ApiModelProperty("毕业学校 ")
    private String graduateSchool;

    @ApiModelProperty("学校专业 ")
    private String subject;

    @ApiModelProperty("毕业证书 ")
    private String gradCertificate;

    @ApiModelProperty("学位证书 ")
    private String degreeCertificate;

    @ApiModelProperty("教师资格证 ")
    private String teacherCertificate;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public GenderEnum getGender() {
        return gender;
    }

    public void setGender(GenderEnum gender) {
        this.gender = gender;
    }

    public Date getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getGraduateSchool() {
        return graduateSchool;
    }

    public void setGraduateSchool(String graduateSchool) {
        this.graduateSchool = graduateSchool;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGradCertificate() {
        return gradCertificate;
    }

    public void setGradCertificate(String gradCertificate) {
        this.gradCertificate = gradCertificate;
    }

    public String getDegreeCertificate() {
        return degreeCertificate;
    }

    public void setDegreeCertificate(String degreeCertificate) {
        this.degreeCertificate = degreeCertificate;
    }

    public String getTeacherCertificate() {
        return teacherCertificate;
    }

    public void setTeacherCertificate(String teacherCertificate) {
        this.teacherCertificate = teacherCertificate;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }
}
